<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Tue May 25 22:41:00 CEST 2010 -->
<TITLE>
C-Index
</TITLE>

<META NAME="date" CONTENT="2010-05-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="C-Index";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-2.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-4.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-3.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-3.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>
<A NAME="_C_"><!-- --></A><H2>
<B>C</B></H2>
<DL>
<DT><A HREF="../org/bitfountain/network/client/ClientCommunication.html#cancelDownload(org.bitfountain.network.packets.FileHeader)"><B>cancelDownload(FileHeader)</B></A> - 
Method in class org.bitfountain.network.client.<A HREF="../org/bitfountain/network/client/ClientCommunication.html" title="class in org.bitfountain.network.client">ClientCommunication</A>
<DD>Send a request to cancel a current download.
<DT><A HREF="../org/bitfountain/network/packets/CancelTransfer.html" title="class in org.bitfountain.network.packets"><B>CancelTransfer</B></A> - Class in <A HREF="../org/bitfountain/network/packets/package-summary.html">org.bitfountain.network.packets</A><DD>Injunction to cancel a current transfer.<DT><A HREF="../org/bitfountain/network/packets/CancelTransfer.html#CancelTransfer(long)"><B>CancelTransfer(long)</B></A> - 
Constructor for class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/CancelTransfer.html" title="class in org.bitfountain.network.packets">CancelTransfer</A>
<DD>Create a new file request, given a specific file ID.
<DT><A HREF="../org/bitfountain/network/packets/CancelTransfer.html#CancelTransfer(java.io.DataInputStream)"><B>CancelTransfer(DataInputStream)</B></A> - 
Constructor for class org.bitfountain.network.packets.<A HREF="../org/bitfountain/network/packets/CancelTransfer.html" title="class in org.bitfountain.network.packets">CancelTransfer</A>
<DD>Read a cancel transfer request from an inputstream.
<DT><A HREF="../org/bitfountain/network/client/ClientCommunication.html#cancelUpload(org.bitfountain.network.packets.FileHeader)"><B>cancelUpload(FileHeader)</B></A> - 
Method in class org.bitfountain.network.client.<A HREF="../org/bitfountain/network/client/ClientCommunication.html" title="class in org.bitfountain.network.client">ClientCommunication</A>
<DD>Stop the upload.
<DT><A HREF="../org/bitfountain/gui/client/catalog/CatalogItem.html" title="class in org.bitfountain.gui.client.catalog"><B>CatalogItem</B></A> - Class in <A HREF="../org/bitfountain/gui/client/catalog/package-summary.html">org.bitfountain.gui.client.catalog</A><DD>Item of a filezone, especially designed
 for the CatalogList.<DT><A HREF="../org/bitfountain/gui/client/catalog/CatalogItem.html#CatalogItem(org.bitfountain.gui.client.catalog.CatalogList, org.bitfountain.network.packets.FileHeader)"><B>CatalogItem(CatalogList, FileHeader)</B></A> - 
Constructor for class org.bitfountain.gui.client.catalog.<A HREF="../org/bitfountain/gui/client/catalog/CatalogItem.html" title="class in org.bitfountain.gui.client.catalog">CatalogItem</A>
<DD>Creates a new element for the CatalogList
 from a given file.
<DT><A HREF="../org/bitfountain/gui/client/catalog/CatalogList.html" title="class in org.bitfountain.gui.client.catalog"><B>CatalogList</B></A> - Class in <A HREF="../org/bitfountain/gui/client/catalog/package-summary.html">org.bitfountain.gui.client.catalog</A><DD>List of files available.<DT><A HREF="../org/bitfountain/gui/client/catalog/CatalogList.html#CatalogList(org.bitfountain.gui.client.MainWindow)"><B>CatalogList(MainWindow)</B></A> - 
Constructor for class org.bitfountain.gui.client.catalog.<A HREF="../org/bitfountain/gui/client/catalog/CatalogList.html" title="class in org.bitfountain.gui.client.catalog">CatalogList</A>
<DD>Create a new file zone for a given main window.
<DT><A HREF="../org/bitfountain/io/ChunkedFileReader.html" title="class in org.bitfountain.io"><B>ChunkedFileReader</B></A> - Class in <A HREF="../org/bitfountain/io/package-summary.html">org.bitfountain.io</A><DD>Read a file by fixed-size chunks.<DT><A HREF="../org/bitfountain/io/ChunkedFileReader.html#ChunkedFileReader(java.io.FileInputStream, int)"><B>ChunkedFileReader(FileInputStream, int)</B></A> - 
Constructor for class org.bitfountain.io.<A HREF="../org/bitfountain/io/ChunkedFileReader.html" title="class in org.bitfountain.io">ChunkedFileReader</A>
<DD>Create a new chunked file reader.
<DT><A HREF="../org/bitfountain/gui/client/upload/UploadList.html#clear()"><B>clear()</B></A> - 
Method in class org.bitfountain.gui.client.upload.<A HREF="../org/bitfountain/gui/client/upload/UploadList.html" title="class in org.bitfountain.gui.client.upload">UploadList</A>
<DD>Clean up the uploads list, removing finished uploads.
<DT><A HREF="../org/bitfountain/gui/client/ClientApp.html" title="class in org.bitfountain.gui.client"><B>ClientApp</B></A> - Class in <A HREF="../org/bitfountain/gui/client/package-summary.html">org.bitfountain.gui.client</A><DD>Client-side application, to send and receive files.<DT><A HREF="../org/bitfountain/gui/client/ClientApp.html#ClientApp()"><B>ClientApp()</B></A> - 
Constructor for class org.bitfountain.gui.client.<A HREF="../org/bitfountain/gui/client/ClientApp.html" title="class in org.bitfountain.gui.client">ClientApp</A>
<DD>Create a new client application.
<DT><A HREF="../org/bitfountain/network/client/ClientCommunication.html" title="class in org.bitfountain.network.client"><B>ClientCommunication</B></A> - Class in <A HREF="../org/bitfountain/network/client/package-summary.html">org.bitfountain.network.client</A><DD>Class containing all useful methods to transmit packages
 to the server.<DT><A HREF="../org/bitfountain/network/client/ClientCommunication.html#ClientCommunication(org.bitfountain.gui.client.ClientApp, java.lang.String)"><B>ClientCommunication(ClientApp, String)</B></A> - 
Constructor for class org.bitfountain.network.client.<A HREF="../org/bitfountain/network/client/ClientCommunication.html" title="class in org.bitfountain.network.client">ClientCommunication</A>
<DD>Create a new client with a specified name.
<DT><A HREF="../org/bitfountain/network/server/ClientInfo.html" title="class in org.bitfountain.network.server"><B>ClientInfo</B></A> - Class in <A HREF="../org/bitfountain/network/server/package-summary.html">org.bitfountain.network.server</A><DD>Information the server holds about a particular client.<DT><A HREF="../org/bitfountain/network/server/ClientInfo.html#ClientInfo(java.lang.String, java.net.Socket)"><B>ClientInfo(String, Socket)</B></A> - 
Constructor for class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/ClientInfo.html" title="class in org.bitfountain.network.server">ClientInfo</A>
<DD>Create a new client information.
<DT><A HREF="../org/bitfountain/io/ChunkedFileReader.html#close()"><B>close()</B></A> - 
Method in class org.bitfountain.io.<A HREF="../org/bitfountain/io/ChunkedFileReader.html" title="class in org.bitfountain.io">ChunkedFileReader</A>
<DD>Close the reader.
<DT><A HREF="../org/bitfountain/gui/server/ConfigPane.html" title="class in org.bitfountain.gui.server"><B>ConfigPane</B></A> - Class in <A HREF="../org/bitfountain/gui/server/package-summary.html">org.bitfountain.gui.server</A><DD>Configuration pane for the server.<DT><A HREF="../org/bitfountain/gui/server/ConfigPane.html#ConfigPane(org.bitfountain.gui.server.ServerApp)"><B>ConfigPane(ServerApp)</B></A> - 
Constructor for class org.bitfountain.gui.server.<A HREF="../org/bitfountain/gui/server/ConfigPane.html" title="class in org.bitfountain.gui.server">ConfigPane</A>
<DD>Create a new ConfigPane for a ServerApp.
<DT><A HREF="../org/bitfountain/network/client/ClientCommunication.html#connectToServer(java.lang.String, int)"><B>connectToServer(String, int)</B></A> - 
Method in class org.bitfountain.network.client.<A HREF="../org/bitfountain/network/client/ClientCommunication.html" title="class in org.bitfountain.network.client">ClientCommunication</A>
<DD>Attempt a connection with the server.
<DT><A HREF="../org/bitfountain/math/ArrayUtils.html#contains(int[], int, int)"><B>contains(int[], int, int)</B></A> - 
Static method in class org.bitfountain.math.<A HREF="../org/bitfountain/math/ArrayUtils.html" title="class in org.bitfountain.math">ArrayUtils</A>
<DD>Check for presence of an int in an array.
<DT><A HREF="../org/bitfountain/math/Matrix.html#copyInto(org.bitfountain.math.Matrix, int, int)"><B>copyInto(Matrix, int, int)</B></A> - 
Method in class org.bitfountain.math.<A HREF="../org/bitfountain/math/Matrix.html" title="class in org.bitfountain.math">Matrix</A>
<DD>Copies a matrix into another greater one.
<DT><A HREF="../org/bitfountain/math/Vector.html#copyInto(org.bitfountain.math.Matrix, int, int)"><B>copyInto(Matrix, int, int)</B></A> - 
Method in class org.bitfountain.math.<A HREF="../org/bitfountain/math/Vector.html" title="class in org.bitfountain.math">Vector</A>
<DD>Copies this column-vector into a row-greater matrix.
<DT><A HREF="../org/bitfountain/math/Matrix.html#copyRowInto(int, org.bitfountain.math.Matrix, int, int)"><B>copyRowInto(int, Matrix, int, int)</B></A> - 
Method in class org.bitfountain.math.<A HREF="../org/bitfountain/math/Matrix.html" title="class in org.bitfountain.math">Matrix</A>
<DD>Copies a row from a matrix into another one.
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-2.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-4.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-3.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-3.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>

</BODY>
</HTML>
